/**
 * 比较常用的工具模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 替换所有字符串, 某些特殊字符不支持，例如：`\\n`
 */
export declare function replaceAll(value: string, searchValue: string, replaceValue: string): string;
/**
 * 生成一个`uuid`
 */
export declare function uuid(): string;
/**
 * 拦截对象方法调用
 *
 * @param handler 处理器需要调用`Reflect.apply(target, thisArg, argArray)`，否则原来的方法不会执行
 */
export declare function interceptMethodCall(obj: object, handler: (target: any, p: string | symbol, thisArg: any, argArray: any[]) => Promise<any>): object;
/**
  * 生成`insert into` sql语句
  */
export declare function generateInsertSql(tableName: string, entity: object): string;
/**
 * 生成`replace into` sql语句，固定排除字段`syncTime`
 */
export declare function generateReplaceSql(tableName: string, entity: object, excludeFields?: string[]): string;
/**
 * 简单的节流器，单位时间内只执行一次，参考`Quasar`
 * 该方法放回一个方法，需要手动调用
 *
 * @param func 要执行的方法
 * @param ms 时间(毫秒),默认一分钟
 */
export declare function throttle1(func: (...args: any[]) => void, ms?: number): (this: any, ...args: any[]) => void;
/**
 * 获取`base64`源文件大小
 */
export declare function getBase64FileSize(base64: string): number;
/**
 * 下载图片并转`base64`, 如果下载失败则返回空，不会抛出异常
 */
export declare function downloadImg2Base64(imgUrl: string): Promise<any>;
